Subject: Re: [PATCH] bisect: save heap memory. allocate only the required amount

From: Junio C Hamano <[email-masked]>
Date: Mon, 25 Aug 2014 14:11:09 -0700

Jeff King <[email-masked]> writes:

> On Mon, Aug 25, 2014 at 11:26:39AM -0700, Junio C Hamano wrote:
>
>> Good digging, and I agree that it should use the FLEX_ARRAY for
>> consistency.
>
> I can produce a patch, but I did not want to steal Arjun's thunder.

Hmph, would it have to overlap?  I think we can queue Arjun's patch
with +1 fix and FLEX_ARRAY thing separately, and they can go in in
any order, no?

> Arjun, did my proposal make sense? Do you want to try implementing that?